org.apache.ignite.client

## Interface ClientServiceDescriptor

    public interface ClientServiceDescriptor

Descriptor of `Service`.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable String` `cacheName()` Gets cache name used for key-to-node affinity calculation.
`int` `maxPerNodeCount()` Gets maximum allowed number of deployed services on each node, `0` for unlimited.
`String` `name()` Gets service name.
`UUID` `originNodeId()` Gets ID of grid node that initiated the service deployment.
`PlatformType` `platformType()` Gets platform type.
`String` `serviceClass()` Gets service class.
`int` `totalCount()` Gets maximum allowed total number of deployed services in the grid, `0` for unlimited.

### Method Detail

#### name

    String name()

Gets service name.

Returns:
  Service name.

#### serviceClass

    String serviceClass()

Gets service class.

Returns:
  Service class.

#### totalCount

    int totalCount()

Gets maximum allowed total number of deployed services in the grid, `0` for unlimited.

Returns:
  Maximum allowed total number of deployed services in the grid, `0` for unlimited.

#### maxPerNodeCount

    int maxPerNodeCount()

Gets maximum allowed number of deployed services on each node, `0` for unlimited.

Returns:
  Maximum allowed total number of deployed services on each node, `0` for unlimited.

#### cacheName

    @Nullable
    @Nullable String cacheName()

Gets cache name used for key-to-node affinity calculation. This parameter is optional and is set only when key-affinity service was deployed.

Returns:
  Cache name, possibly `null`.

#### originNodeId

    UUID originNodeId()

Gets ID of grid node that initiated the service deployment.

Returns:
  ID of grid node that initiated the service deployment.

#### platformType

    PlatformType platformType()

Gets platform type.

Returns:
  Platform type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023